Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2014-09-22 16:32:28 +0000
committerDavid Williams2014-09-22 16:32:28 +0000
commit8a13020e49752c4232ee86f2c376b4710c298473 (patch)
tree16d92a07cc60f4fca0aeca9b15c67e136c378807
parentb9d13b7744a25d7366bb5eb7c2d674b4e0e0baf7 (diff)
downloadeclipse.platform.releng.aggregator-8a13020e49752c4232ee86f2c376b4710c298473.tar.gz
eclipse.platform.releng.aggregator-8a13020e49752c4232ee86f2c376b4710c298473.tar.xz
eclipse.platform.releng.aggregator-8a13020e49752c4232ee86f2c376b4710c298473.zip
[releng] prepare for Luna SR1 promotion
-rw-r--r--production/sdk/promoteStableRelease/promoteImpl/createDeferredStepsScript.sh8
-rwxr-xr-xproduction/sdk/promoteStableRelease/promoteLuna/promoteSites.sh24
2 files changed, 22 insertions, 10 deletions
diff --git a/production/sdk/promoteStableRelease/promoteImpl/createDeferredStepsScript.sh b/production/sdk/promoteStableRelease/promoteImpl/createDeferredStepsScript.sh
index 4244472fe..25e2d4307 100644
--- a/production/sdk/promoteStableRelease/promoteImpl/createDeferredStepsScript.sh
+++ b/production/sdk/promoteStableRelease/promoteImpl/createDeferredStepsScript.sh
@@ -1,5 +1,9 @@
#!/usr/bin/env bash
+# This is DL_DROP_ID for Eclipse. The one for equinox has DL_LABEL_EQ in middle.
+DL_DROP_ID=${DL_TYPE}-${DL_LABEL}-${BUILD_TIMESTAMP}
+
+
echo "#!/usr/bin/env bash" >> "${CL_SITE}/deferredSteps.sh"
echo "" >> "${CL_SITE}/deferredSteps.sh"
echo "# Utility to automate second, deferred step of a promotion (making visible, at the right time, etc.)" >> "${CL_SITE}/deferredSteps.sh"
@@ -8,11 +12,11 @@ echo "# equinox is only promoted every 30 minutes ... so should do close to the
echo "# to avoid looking out of sync." >> "${CL_SITE}/deferredSteps.sh"
echo "mv /shared/eclipse/equinox/promotion/queue/manual-${DL_LABEL_EQ}.sh /shared/eclipse/equinox/promotion/queue/promote-${DL_LABEL_EQ}.sh" >> "${CL_SITE}/deferredSteps.sh"
echo "" >> "${CL_SITE}/deferredSteps.sh"
-echo "mv /home/data/httpd/download.eclipse.org/eclipse/downloads/drops4/${DROP_ID}/buildHidden /home/data/httpd/download.eclipse.org/eclipse/downloads/drops4/${DROP_ID}/buildHiddenORIG" >> "${CL_SITE}/deferredSteps.sh"
+echo "mv /home/data/httpd/download.eclipse.org/eclipse/downloads/drops4/${DL_DROP_ID}/buildHidden /home/data/httpd/download.eclipse.org/eclipse/downloads/drops4/${DL_DROP_ID}/buildHiddenORIG" >> "${CL_SITE}/deferredSteps.sh"
echo "" >> "${CL_SITE}/deferredSteps.sh"
echo "# variable, optional step (though, guess it doesn't hurt to always do it, just in case?) " >> "${CL_SITE}/deferredSteps.sh"
echo "# Actually, though, would be best to do in 'first step', to confirm before visible." >> "${CL_SITE}/deferredSteps.sh"
-echo "touch /home/data/httpd/download.eclipse.org/eclipse/downloads/drops4/${DROP_ID}/overrideTestColor" >> "${CL_SITE}/deferredSteps.sh"
+echo "touch /home/data/httpd/download.eclipse.org/eclipse/downloads/drops4/${DL_DROP_ID}/overrideTestColor" >> "${CL_SITE}/deferredSteps.sh"
echo "" >> "${CL_SITE}/deferredSteps.sh"
echo "/shared/eclipse/sdk/updateIndexes.sh" >> "${CL_SITE}/deferredSteps.sh"
echo "" >> "${CL_SITE}/deferredSteps.sh"
diff --git a/production/sdk/promoteStableRelease/promoteLuna/promoteSites.sh b/production/sdk/promoteStableRelease/promoteLuna/promoteSites.sh
index 9f8e32040..2b17e5448 100755
--- a/production/sdk/promoteStableRelease/promoteLuna/promoteSites.sh
+++ b/production/sdk/promoteStableRelease/promoteLuna/promoteSites.sh
@@ -2,14 +2,14 @@
export DROP_ID=M20140910-2310
-#export DL_LABEL=4.4
-#export DL_LABEL_EQ=Luna
-export DL_LABEL=4.4.1RC4
-export DL_LABEL_EQ=LunaSR1RC4
+export DL_LABEL=4.4.1
+export DL_LABEL_EQ=LunaSR1
+#export DL_LABEL=4.4.1RC4
+#export DL_LABEL_EQ=LunaSR1RC4
# for I builds, stable and RCs go to in milestones
-export REPO_SITE_SEGMENT=4.4milestones
-#REPO_SITE_SEGMENT=4.4
+#export REPO_SITE_SEGMENT=4.4milestones
+export REPO_SITE_SEGMENT=4.4
export HIDE_SITE=true
#HIDE_SITE=false
@@ -21,8 +21,8 @@ echo "CL_SITE: ${CL_SITE}"
# For Maintenance, it's always 'M' (from M-build) until it's 'R'.
# for main line code, it's 'S' (from I-build) until it's 'R'
#export DL_TYPE=S
-#export DL_TYPE=R
-export DL_TYPE=M
+export DL_TYPE=R
+#export DL_TYPE=M
# variables used on tagging aggregator for milestones (and RCs?)
# Could probably compute this tag ... but for now easier to type it in each time.
@@ -111,4 +111,12 @@ then
exit $rccode
fi
+${PROMOTE_IMPL}/createDeferredStepsScript.sh
+rccode=$?
+if [[ $rccode != 0 ]]
+then
+ printf "\n\n\t%s\n\n" "ERROR: createDeferredStepsScript.sh failed."
+ exit $rccode
+fi
+
exit 0

Back to the top